<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Date: 2020.08.08
| Filename: login_panel.php
| Author: superboyka
| E-mail:superboyka@gmail.com
| Tested:  PHP Fusion v9.03.70.
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
(defined('IN_FUSION') || exit);
    $locale = fusion_get_locale("", LOGIM_LOCALE);
    $modules = \PHPFusion\Admins::getInstance()->getSubmitData();
    $settings = fusion_get_settings();
    add_to_head("<link type='text/css' href='".LOGIM_PATH."styles.css'rel='stylesheet' media='screen'/>");
    add_to_head("<link href='http://www.jqueryscript.net/css/jquerysctipttop.css' rel='stylesheet' media='screen'/>");
    add_to_head("<script src='".LOGIM_PATH."js/sb_boxover.js'></script>");
    $headrinfo = "<img src='".LOGIM_PATH."images/info.png' align='absmiddle' alt=''/>&nbsp;&nbsp; <big>".substr($settings['site_host'], 0)."</big>";
    $forum_exists = defined('FORUM_EXIST');
    // Panel tartalom - belpve
if (iMEMBER) {
    $userdata = fusion_get_userdata();
    $profilelink = profile_link($userdata['user_id'], trimlink($userdata['user_name'], 10), $userdata['user_status']);
    $aidlink = fusion_get_aidlink();
    $udv ="<b><script type='text/javascript'>
	var today = new Date();
	var hour = today.getHours();
	if (hour > 17) {document.write('".$locale['log_153']."');}
	if (hour >= 6 && hour <= 11) {document.write('".$locale['log_151']."');}
	if (hour >= 12 && hour <= 17) {document.write('".$locale['log_152']."');}
	if (hour >= 0 && hour < 6) {document.write('".$locale['log_154']."');}
	</script></b><b> [<font class='greeting'>".(iMEMBER ? $profilelink : "Guest")."</font>]</b>";    
	openside($udv);
    $msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to = '".$userdata['user_id']."' AND message_read = '0' AND message_folder = '0'");
	if ($msg_count) {
	    echo "<div class='text-center'>\n";
	    echo "<a href='".BASEDIR."messages.php?folder=inbox' class='side'><img src='".LOGIM_PATH."images/newpm.gif' border='0' alt='' /><br />\n";
	    echo "<a href='".BASEDIR."messages.php?folder=inbox'><strong>".sprintf($locale['global_125'], $msg_count).($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."</strong></a>\n";
	    echo "</div>\n";
        $result = dbquery("SELECT * FROM ".DB_MESSAGES." WHERE message_to ='".$userdata['user_id']."' AND message_folder = '0'");
	    $rows = dbrows($result);
	    if ($rows >= $settings['pm_inbox_limit']) {
	    echo "<div class='text-center'>\n";
	    echo "<span title='header=[&nbsp;&nbsp;".$locale['log_148']."] body=[".$locale['log_149']."]'><a href='".BASEDIR."messages.php?folder=inbox' class='side'><img src='".LOGIM_PATH."images/pm_full.png' border='0' alt='".$locale['log_148']."' style='vertical-align:middle;'/></a></span>\n";
	    echo "<br/>".$locale['log_150'];
	    echo "</div>\n";
}
	}
    echo "<div class='cardias'>";
     echo "<div class='front'>";
    if ($userdata['user_avatar'] && file_exists(IMAGES."avatars/".$userdata['user_avatar'])) {
        echo display_avatar($userdata, '80px', '', FALSE, 'users-avatar');
    }else{
        echo display_avatar($userdata, '80px', '', FALSE, 'users-avatar', LOGIM_PATH."images/noav1.gif");
    }

    echo "</div>";
    echo "<div class='back'>";
	$userfieldphotos = column_exists(DB_USERS,'user_field_photos');
    if ($userfieldphotos) {
    if ($userdata['user_field_photos'] != ""){    
		echo "<img class='lsstsn-users-kedvence' src='".IMAGES."field_photos/".$userdata['user_field_photos']."' title=\" header=[".$headrinfo."] body=[".$locale['log_028']."] delay=[0]\" alt=''/>";
        } else {
		echo"<img class='lsstsn-users-kedvence' src='".LOGIM_PATH."images/noav.gif'alt='' />";
		}
}
  
	if ($userdata['user_level'] == USER_LEVEL_SUPER_ADMIN) {
        $ucolor = "#D90000'";
    } else if ($userdata['user_level'] == USER_LEVEL_ADMIN) {
        $ucolor = "#037d48'";
    } else if ($userdata['user_level'] == USER_LEVEL_MEMBER) {
        $ucolor = "##0BA5FF'";
    }
    echo "</div></div></br>";
    echo "<hr color='#743921' size='5' align='center' width='200'></hr >";
    echo "<div class='m-t-10'><strong><font color='".$ucolor."'>".getuserlevel($userdata['user_level'])."</font></strong></div>";
    echo "<div class='m-t-10'><span>".($forum_exists ? "<i class='fa fa-dot-circle-o' title='".fusion_get_locale('forum_0014', INFUSIONS.'forum/locale/'.LOCALESET.'forum.php')."'></i>\n" : '').($forum_exists ? fusion_get_userdata('user_reputation') ?: 0 : '')."</span></div>";
    echo "<div class='rows'>";
    echo "<a data-toggle='collapse' data-parent='#navigation-user' href='#collapset' title='".$locale['log_101']."'>".$locale['log_102']."</i></a>";
    echo "<ul id='collapset' class='panel-collapse collapse block m-l-10'>";
    echo "<li><strong><a href='".BASEDIR."edit_profile.php'><img src='".LOGIM_PATH."images/login/edit.png' width='24' height='24' border='0' title=\" header=[".$headrinfo."] body=[".$locale['log_002']."] delay=[0]\" alt='' border='0' />&nbsp;".$locale['log_002']."</a></strong></li>\n";
    echo "<li><strong><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><img src='".LOGIM_PATH."images/profil.png' width='22' height='22' border='0' title=\" header=[".$headrinfo."] body=[".$locale['log_111']."] delay=[0]\" alt='' border='0' />&nbsp;".$locale['log_111']."</a></strong></li>\n";   
	if ($msg_count) {
            echo "<li><strong><a href='".BASEDIR."messages.php'><img src='".LOGIM_PATH."images/login/sub.gif' width='24' height='24' border='0' title=\" header=[".$headrinfo."] body=[".$locale['log_004']."] delay=[0]\" alt='' style='vertical-align:middle' border='0' />&nbsp;".$locale['log_004']."</a></strong></li>\n";
        } else {
            echo "<li><strong><a href='".BASEDIR."messages.php'><img src='".LOGIM_PATH."images/login/sub.png' width='24' height='24' border='0' title=\" header=[".$headrinfo."] body=[".$locale['log_003']."] delay=[0]\" alt='' />&nbsp;".$locale['log_003']."</a></strong></li>\n";
        }
            echo "<li><strong><a href='".BASEDIR."members.php'><img src='".LOGIM_PATH."images/login/nembers.png' width='24' height='24' border='0' title=\" header=[".$headrinfo."] body=[".$locale['log_005']."] delay=[0]\" alt='' />&nbsp;".$locale['log_005']."</a></strong></li>\n";
        if (iADMIN && (iUSER_RIGHTS != '' || iUSER_RIGHTS != 'C')) {
            echo "<li><strong><a href='".ADMIN."index.php".$aidlink."'><img src='".LOGIM_PATH."images/login/lock.png'width='24' height='24' border='0' title=\" header=[".$headrinfo."] body=[".$locale['log_007']."] delay=[0]\" alt='' />&nbsp;".$locale['log_007']."</a></strong></li>\n";
        }
    echo "</ul>";
    echo "</div>";
    if (!empty($modules)) {
        $admlink = '';
        $sublink = '';
        foreach ($modules as $stype => $title) {
        	if (dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type = '".$stype."'")) {
                $file = str_replace(['&amp;submit_id=%s'], '', $title['admin_link']);
                $admlink .= "<li><strong><a href='".$file."'><img src='".LOGIM_PATH."images/login/sub.gif' width='24' height='24' border='0' title=\" header=[".$headrinfo."] body=[".sprintf($title['title'], $locale['log_009'])."] delay=[0]\" alt='' />&nbsp;".sprintf($title['title'], $locale['log_009'])."</a></strong></li>\n";
        	}
            $sublink .= "<li><strong><a href='".BASEDIR.$title['submit_link']."'><img src='".LOGIM_PATH."images/login/sub.png' width='24' height='24' border='0' title=\" header=[".$headrinfo."] body=[".sprintf($title['title'], $locale['log_009a'])."] delay=[0]\" alt='' />&nbsp;".sprintf($title['title'], $locale['log_009a'])."</a></strong></li>\n";
        }
        echo "<div class='rows'>";
        echo "<a data-toggle='collapse' data-parent='#navigation-user' href='#collapsem' title='".$locale['log_101']."'>".$locale['log_104']."</i></a>";
        echo "<ul id='collapsem' class='panel-collapse collapse block m-l-10'>";
        echo $admlink;
        echo $sublink;
        echo "</ul>";
        echo "</div>";
    }
        if($forum_exists) {
        echo "<div class='rows'>";
        echo "<a data-toggle='collapse' data-parent='#navigation-user' href='#collapsef' title='".$locale['log_101']."'>".$locale['log_103']."</i></a>";
        echo "<ul id='collapsef' class='panel-collapse collapse block m-l-10'>";
        echo "<li><a href='".INFUSIONS."forum/index.php' class='side'>".$locale['log_024']."</a></li>\n";
        echo "<li><a href='".INFUSIONS."forum/index.php?section=latest' class='side'>".$locale['global_041']."</a></li>\n";
        echo "<li><a href='".INFUSIONS."forum/index.php?section=participated' class='side'>".$locale['global_042']."</a></li>\n";
        echo "<li><a href='".INFUSIONS."forum/index.php?section=unanswered' class='side'>".$locale['log_025']."</a></li>\n";
        echo "<li><a href='".INFUSIONS."forum/index.php?section=unsolved' class='side'>".$locale['log_026']."</a></li>\n";
        echo "<li><a href='".INFUSIONS."forum_threads_list_panel/new_posts.php' class='side'>".$locale['global_043']."</a></li>\n";
        echo "<li><a href='".INFUSIONS."forum_threads_list_panel/my_tracked_threads.php' class='side'>".$locale['global_056']."</a></li>\n";
        echo "</ul>";
        echo "</div>";
    }
        echo "<div class='spacer-xs'><a class='btn btn-block btn-primary' href='".BASEDIR."index.php?logout=yes'>".$locale['log_006']."</a></div>\n";
        closeside();
    // Panel tartalom - vendg
       }else{
        if (!preg_match('/login.php/i', FUSION_SELF)) {
        $action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
        if (isset($_GET['redirect']) && strstr($_GET['redirect'], "/")) {
            $action_url = cleanurl(urldecode($_GET['redirect']));
        }

        switch (fusion_get_settings("login_method")) {
            case 2 :
                $placeholder = $locale['global_101c'];
                break;
            case 1 :
                $placeholder = $locale['global_101b'];
                break;
            default:
                $placeholder = $locale['global_101a'];
        }

        openside($locale['log_001']);
        echo openform('loginform', 'post', FUSION_REQUEST);
        echo "<div class='jquery-script-clear'></div>\n";
        echo form_text('user_name', $locale['global_101'], '', [
            'placeholder' => $placeholder,
            'required'    => TRUE
        ]);
        echo form_text('user_pass', $locale['global_102'], '', [
            'placeholder' => $locale['global_102'],
            'type'        => 'password',
            'required'    => TRUE
        ]);
        echo form_checkbox('remember_me', $locale['global_103'], '', ['value' => 'y']);
        echo form_button('login', $locale['global_104'], '', ['class' => 'm-t-20 m-b-20 btn-block btn-primary']);

        if ($settings['enable_registration']) {
            echo "<a data-toggle='collapse' data-parent='#navigation-user' href='#collapse'>".$locale['log_102a']."</i></a>";
            echo "<ul id='collapse' class='panel-collapse collapse block m-l-10'>";
            echo "<li><a href='".BASEDIR."register.php'><img src='".LOGIM_PATH."images/login/unlock.png' width='24' height='24' alt=''/>&nbsp;".$locale['log_012']."</a></li>";
            echo "<li><a href='".BASEDIR."lostpassword.php'><img src='".LOGIM_PATH."images/login/help.png' width='24' height='24' alt=''/>&nbsp;".$locale['log_013']."</a></li>";
             echo "<li><a href='".BASEDIR."contact.php'><img src='".LOGIM_PATH."images/login/comment.png' width='24' height='24' alt=''/>&nbsp;".$locale['log_011']."</li></a></li>";
            echo "<li><a href='".LOGIM_PATH."includes/reg_why.php'><img src='".LOGIM_PATH."images/login/log.png' width='24' height='24' alt=''/>&nbsp;".$locale['log_027']."</a></li>";
            echo "</ul>";
      }
        closeside();
    }
}
